      module elements_vars

      use var_types

      implicit none

      character(len=2), parameter :: elem(99) = [
     &  "H ", "He", "Li", "Be", "B ", "C ", "N ", "O ", "F ", "Ne",
     &  "Na", "Mg", "Al", "Si", "P ", "S ", "Cl", "Ar", "K ", "Ca",
     &  "Sc", "Ti", "V ", "Cr", "Mn", "Fe", "Co", "Ni", "Cu", "Zn",
     &  "Ga", "Ge", "As", "Se", "Br", "Kr", "Rb", "Sr", "Y ", "Zr",
     &  "Nb", "Mo", "Tc", "Ru", "Rh", "Pd", "Ag", "Cd", "In", "Sn",
     &  "Sb", "Te", "I ", "Xe", "Cs", "Ba", "La", "Ce", "Pr", "Nd",
     &  "Pm", "Sm", "Eu", "Gd", "Tb", "Dy", "Ho", "Er", "Tm", "Yb",
     &  "Lu", "Hf", "Ta", "W ", "Re", "Os", "Ir", "Pt", "Au", "Hg",
     &  "Tl", "Pb", "Bi", "Po", "At", "Rn", "Fr", "Ra", "Ac", "Th",
     &  "Pa", "U ", "Np", "Pu", "Am", "Cm", "Bk", "Cf", "Es" ]

!.... ATOMIC MASSES FOR STANDARD ISOTOPIC MIX - FROM NIST

      real(re_type), parameter :: atmass(99) = [
!....     1 H          2 He        3 Li         4 Be         5 B
     &    1.00794,     4.002602,   6.941,       9.012182,   10.811,
!....     6 C          7 N         8 O          9 F         10 Ne
     &   12.0107,     14.0067,    15.9994,     18.9984032,  20.1797,
!....    11 Na        12 Mg       13 Al        14 Si        15 P
     &   22.98976928, 24.3050,    26.9815386,  28.0855,     30.973762,
!....    16 S         17 Cl       18 Ar        19 K         20 Ca
     &   32.065,      35.453,     39.948,      39.0983,     40.078,
!....    21 Sc        22 Ti       23 V         24 Cr        25 Mn
     &   44.955912,   47.867,     50.9415,     51.9961,     54.938045,
!....    26 Fe        27 Co       28 Ni        29 Cu        30 Zn
     &   55.845,      58.933195,  58.6934,     63.546,      65.38,
!....    31 Ga        32 Ge       33 As        34 Se        35 Br
     &   69.723,      72.64,      74.92160,    78.96,       79.904,
!....    36 Kr        37 Rb       38 Sr        39 Y         40 Zr
     &   83.798,      85.4678,    87.62,       88.90585,    91.224,
!....    41 Nb        42 Mo       43 Tc        44 Ru        45 Rh
     &   92.90638,    95.96,      98.0,       101.07,      102.90550,
!....    46 Pd        47 Ag       48 Cd        49 In        50 Sn
     &  106.42,      107.8682,   112.411,     114.818,     118.710,
!....    51 Sb        52 Te       53 I         54 Xe        55 Cs
     &  121.760,     127.60,     126.90447,   131.293,     132.9054519,
!....    56 Ba        57 La       58 Ce        59 Pr        60 Nd
     &  137.327,     138.90547,  140.116,     140.90765,   144.242,
!....    61 Pm        62 Sm       63 Eu        64 Gd        65 Tb
     &  145.0,       150.36,     151.964,     157.25,      158.92535,
!....    66 Dy        67 Ho       68 Er        69 Tm        70 Yb
     &  162.500,     164.93032,  167.259,     168.93421,   173.054,
!....    71 Lu        72 Hf       73 Ta        74 W         75 Re
     &  174.9668,    178.49,     180.94788,   183.84,      186.207,
!....    76 Os        77 Ir       78 Pt        79 Au        80 Hg
     &  190.23,      192.217,    195.084,     196.966569,  200.59,
!....    81 Tl        82 Pb       83 Bi        84 Po        85 At
     &  204.3833,    207.2,      208.98040,   209.0,       210.0,
!....    86 Rn        87 Fr       88 Ra        89 Ac        90 Th
     &  222.0,       223.0,      226.0,       227.0,       232.03806,
!....    91 Pa        92 U        93 Np        94 Pu        95 Am
     &  231.03588,   238.02891,  237.0,       244.0,       243.0,
!....    96 Cm        97 Bk       98 Cf        99 Es
     &  247.0,       247.0,      251.0,       252.0 ]

      end module elements_vars

!***********************************************************************
