      program sort_diatomics

!.... PROGRAM TO REARRANGE DIATOMICS.PCK IN INCREASING WAVELENGTH ORDER

      implicit none
 
!------------------------------ CONSTANTS ------------------------------
 
      integer, parameter :: i1_type = selected_int_kind(2) ! 1 BYTE INT
      integer, parameter :: i2_type = selected_int_kind(4) ! 2 BYTE INT
      integer, parameter :: i4_type = selected_int_kind(9) ! 4 BYTE INT
      integer, parameter :: in_type = i4_type

      integer, parameter :: r4_type = kind(1.0)   ! SINGLE PRECISION
      integer, parameter :: r8_type = kind(1.0d0) ! DOUBLE PRECISION
      integer, parameter :: re_type = r8_type

      integer(in_type), parameter :: n_file = 7902235

      real(re_type), parameter :: ratiolog = log(1.0d0 + 1.0d0 / 2.0d6)

!------------------------------ VARIABLES ------------------------------

      integer(i2_type) :: int2(6)

      integer(in_type) :: idx
      integer(in_type) :: iwl
      integer(in_type) :: iwl_last
      integer(in_type) :: rec_n

      real(re_type) :: wl_last
      real(re_type) :: wlvac

!------------------------------ EXECUTION ------------------------------

!.... ASSUMING byterecl, SO recl = 4BYTE + 6*2BYTES = 16 BYTES

      open(unit = 31, file = 'diatomics.pck', recl = 16, status = 'old',
     &     action = 'read', form = 'unformatted', access = 'direct')

      open(unit=32, file='diatomics.pck_index_sorted', status = 'old',
     &     action = 'read', form = 'formatted')

      open(unit = 33, file = 'diatomics.pck_sorted', recl = 16, 
     &     status = 'new', action = 'readwrite', form = 'unformatted', 
     &     access = 'direct')

      do idx = 1, n_file
         read(32, fmt="(i10)") rec_n
         read(31, rec = rec_n) iwl, int2
         write(33, rec = idx) iwl, int2
      end do

      close(unit = 31)
      close(unit = 32)

!.... REREAD THE OUTPUT FILE TO TEST THAT ALL THE WAVELENGTHS ARE IN 
!.... INCREASING ORDER

      iwl_last = 0
      wl_last = 0.0d0

      do idx = 1, n_file
         read(33, rec = idx) iwl
         wlvac = exp(iwl * ratiolog)
         if(iwl < iwl_last .or. wlvac < wl_last) 
     &      write(*, '(2i10, 2f15.6)') iwl, iwl_last, wlvac, wl_last
      end do

      close(unit = 33)

      end program sort_diatomics
